umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_umlwidget.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/umlwidget.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLWidget_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLWidget_t | qt_meta_stringdata_UMLWidget
static const uint | qt_meta_data_UMLWidget []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_UMLWidget_t
Definition: moc_umlwidget.cpp:24

## Variable Documentation

## ◆ qt_meta_data_UMLWidget

const uint qt_meta_data_UMLWidget[]
| static

## ◆ qt_meta_stringdata_UMLWidget

const qt_meta_stringdata_UMLWidget_t qt_meta_stringdata_UMLWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 9),
QT_MOC_LITERAL(1, 10, 14),
QT_MOC_LITERAL(2, 25, 0),
QT_MOC_LITERAL(3, 26, 13),
QT_MOC_LITERAL(4, 40, 2),
QT_MOC_LITERAL(5, 43, 12),
QT_MOC_LITERAL(6, 56, 17),
QT_MOC_LITERAL(7, 74, 8),
QT_MOC_LITERAL(8, 83, 6),
QT_MOC_LITERAL(9, 90, 15),
QT_MOC_LITERAL(10, 106, 20),
QT_MOC_LITERAL(11, 127, 6),
QT_MOC_LITERAL(12, 134, 20),
QT_MOC_LITERAL(13, 155, 20),
QT_MOC_LITERAL(14, 176, 20),
QT_MOC_LITERAL(15, 197, 14)
},
"UMLWidget\0sigWidgetMoved\0\0Uml::ID::Type\0"
"id\0updateWidget\0slotMenuSelection\0"
"QAction*\0action\0slotWidgetMoved\0"
"slotFillColorChanged\0viewID\0"
"slotLineColorChanged\0slotTextColorChanged\0"
"slotLineWidthChanged\0slotSnapToGrid"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_umlwidget.cpp:28